### Hierarchy

- Emitter
  - Ranges

### Implements

- IEmitter
- IPageRangesCollection

## Index

### Constructors

- constructor

### Properties

- _folderId
- _pageId
- _ranges
- listeners
- onListeners

### Accessors

- EVENT_UPDATED
- TYPE_FREEZING_RANGE
- TYPE_PERMISSION_RANGE
- ranges

### Methods

- addRange
- emit
- off
- on
- parse
- register
- removeEvent
- removeEvents
- removeRange
- save
- setRanges
- unRegister

## Constructors

### constructor

- new Ranges(folderId: number, pageId: number, pageAccessRights?: undefined | string): Ranges

- Overrides Emitter.constructor

  - Defined in Page/Range.ts:170

  #### Parameters

  - ##### folderId: number

  - ##### pageId: number

  - ##### Optional pageAccessRights: undefined | string

  #### Returns Ranges

## Properties

### Private _folderId

_folderId: number

- Defined in Page/Range.ts:150

### Private _pageId

_pageId: number

- Defined in Page/Range.ts:151

### Private _ranges

_ranges: IPageRangeItem[] = []

- Defined in Page/Range.ts:148

List of ranges in collection

type

  {Array}

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

## Accessors

### EVENT_UPDATED

- get EVENT_UPDATED(): string

- - Defined in Page/Range.ts:160

  #### Returns string

### TYPE_FREEZING_RANGE

- get TYPE_FREEZING_RANGE(): string

- - Defined in Page/Range.ts:156

  #### Returns string

### TYPE_PERMISSION_RANGE

- get TYPE_PERMISSION_RANGE(): string

- - Defined in Page/Range.ts:153

  #### Returns string

### ranges

- get ranges(): IPageRangeItem[]

- - Defined in Page/Range.ts:168

  Getter for list of ranges

  #### Returns IPageRangeItem[]

## Methods

### addRange

- addRange(range: IPageRangeItem): this

- - Defined in Page/Range.ts:199

  Adds range to collection. Also prevents duplicate names

  #### Parameters

  - ##### range: IPageRangeItem

  #### Returns this

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### parse

- parse(pageAccessRights: string): IPageRangeItem[]

- - Defined in Page/Range.ts:283

  Parse range data loaded from service into range collection

  #### Parameters

  - ##### pageAccessRights: string

  #### Returns IPageRangeItem[]

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IPageRangesCollection.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IPageRangesCollection.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### removeRange

- removeRange(rangeName: string): this

- - Defined in Page/Range.ts:230

  Removes range from collection

  #### Parameters

  - ##### rangeName: string

  #### Returns this

### save

- save(): Promise<any>

- - Defined in Page/Range.ts:252

  Save ranges to a page

  #### Returns Promise<any>

### setRanges

- setRanges(ranges: IPageRangeItem[]): this

- - Defined in Page/Range.ts:188

  Rewrites current collection of ranges with given ranges

  #### Parameters

  - ##### ranges: IPageRangeItem[]

  #### Returns this

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc